Name: ortp
Version: 5.2.45
Release: 2%{?dist}.1
Summary: A C library implementing the RTP protocol (RFC3550)
License: AGPL-3.0-or-later

URL: https://gitlab.linphone.org/BC/public/ortp/

Source: https://gitlab.linphone.org/BC/public/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz

Epoch: 3

# Patches.
Patch00: 0001_ortp_set_current_version.patch
Patch01: 0002_ortp_pkgconfig_add_bctoolbox_requires_and_fix_libdir_location.patch
Patch02: 0003_ortp_doxygen_remove_obsolete_elements.patch

BuildRequires: cmake >= 3.2
BuildRequires: gcc-c++
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: libsrtp-devel
BuildRequires: openssl-devel
BuildRequires: bctoolbox-devel

# Make sure we obsolete really old releases.
Obsoletes: ortp < %{epoch}:5.2.45-1

%description
oRTP is a C library that implements RTP (RFC3550).

%package devel
Summary: Development libraries for ortp
Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release}
# Make sure we obsolete really old releases.
Obsoletes: ortp-devel < %{epoch}:5.2.45-1
Requires: libsrtp-devel
Requires: libzrtpcpp-devel

%description devel
Libraries and headers required to develop software with ortp.

%prep
%autosetup -p1

%build
%cmake \
  -DCMAKE_SKIP_INSTALL_RPATH=ON \
  -DENABLE_STATIC=OFF \
  -DENABLE_DOC=OFF
%cmake_build

%install
%cmake_install

# Remove not required (should not be generated) versioned folder in docs.
rm -rf %{buildroot}%{_datadir}/doc/ortp-%{version}

%files
%license LICENSE.txt
%{_bindir}/ortp_tester
%{_libdir}/libortp.so.15*

%files devel
%license LICENSE.txt
%doc AUTHORS.md CHANGELOG.md README.md
%{_includedir}/ortp
%{_libdir}/cmake/ortp/
%{_libdir}/libortp.so
%{_libdir}/pkgconfig/ortp.pc

%changelog
* Mon Jul 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3:5.2.45-2.1
- initial build

